Bug 620674 - [RFE] xz support in RHEL 5 rpm
Summary: [RFE] xz support in RHEL 5 rpm
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rpm (Show other bugs)
(Show other bugs)
Version: 5.7
Hardware: All Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Panu Matilainen
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Keywords: FutureFeature, Triaged
Depends On:
Blocks: 554476 726448 769266
TreeView+ depends on / blocked
 
Reported: 2010-08-03 08:56 UTC by Issue Tracker
Modified: 2018-11-26 19:44 UTC (History)
9 users (show)

Fixed In Version: rpm-4.4.2.3-26.el5
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-21 06:45:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0283 normal SHIPPED_LIVE rpm bug fix and enhancement update 2012-02-20 15:05:55 UTC

Description Issue Tracker 2010-08-03 08:56:30 UTC
Escalated to Bugzilla from IssueTracker

Comment 4 albert 2010-11-19 09:03:03 UTC
Any ETA for this? If this won't be done, a complete reinstall would be the only choice.

Comment 5 Philip Rowlands 2011-03-14 11:46:06 UTC
It's very useful to prepare version N files on version N-1. This isn't possible currently with RHEL 5/6.

What's the official line from RH Product Management on whether rpmlib(PayloadIsXz) support will be backported to RHEL5? If it's a FutureFeature, will it be released as an errata or included in the next 5.X release?

Comment 6 R P Herrold 2011-03-14 13:41:00 UTC
Philip 

-- most of the problem arises from the addition of xz to the tar used by RPM in the later EL

This workaround is in the EPEL documentation pages, and is a fairly minimal edit to most .spec files

http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies  at: Distribution specific guidelines

Tar in EL 5 and earlier does not support extracting xz-compressed tarballs. To extract such tarballs, use the following %prep section:

%prep
xzcat %{SOURCE0} | tar -xf -
%setup -qDT

-------------------

As I recall, 'file' also was not aware of the needed magic numbers although this may have been addressed

I recall seeing a set of RPM mentioned in EPEL mailing list to 'step around' the lack of 'xz' support, but cannot put my finger on it at the moment

-------------------

All that said, a backport would be nice  ;)

-- Russ herrold

Comment 8 RHEL Product and Program Management 2011-05-31 14:53:33 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 10 R P Herrold 2011-06-02 19:43:25 UTC
I poked around my archives a bit when I saw this update  to find the tools I mentioned in comment 7 -- I posted a README and archive, with the tools at:
    ftp://ftp.owlriver.com/pub/mirror/ORC/rpm-xz/ 
in case the Fedora archive of such disappears (it is in a 'side' archive, and not one that is easily found)

-- Russ herrold

Comment 11 Yury V. Zaytsev 2011-07-16 20:01:47 UTC
FYI: See comment to bug https://bugzilla.redhat.com/show_bug.cgi?id=490613 regarding the backports done by Fedora Infrastructure team.

Comment 21 errata-xmlrpc 2012-02-21 06:45:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0283.html


Note You need to log in before you can comment on or make changes to this bug.